Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class Sender

    java.lang.Object
      com.compoze.collab.groupware.Sender

public class Sender
extends java.lang.Object

This class is used to represent a sender of a message.

Constructor Summary
`protected` | `Sender()` Constructor.
`` | `Sender(java.lang.String sSmtpAddress)` Constructor.
`` | `Sender(java.lang.String sName, java.lang.String sAddress)` Constructor.

Method Summary
`java.lang.String` | `getAddress()` Gets the sender's address.
`java.lang.String` | `getDisplayAddress()` Gets the sender's display address.
`java.lang.String` | `getName()` Gets the sender's name.
`protected void` | `init(java.lang.String sSmtpAddress)` Initializes from a name and address.
`protected void` | `init(java.lang.String sName, java.lang.String sAddress)` Initializes from a name and address.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sender

    protected Sender()

  Constructor. Used by subclasses that cannot provide initial parameters on construction.

### Sender

    public Sender(java.lang.String sName,
                  java.lang.String sAddress)

  Constructor.

Parameters:
  `sName` - the sender's name (may be `null`)
  `sAddress` - the sender's address (may be `null`)

### Sender

    public Sender(java.lang.String sSmtpAddress)

  Constructor.

Parameters:
  `sSmtpAddress` - the sender's SMTP address (may be `null`)

Method Detail

### init

    protected void init(java.lang.String sName,
                        java.lang.String sAddress)

  Initializes from a name and address.

  Parameters:
    `sName` - the sender's name (may be `null`)
    `sAddress` - the sender's address (may be `null`)

### init

    protected void init(java.lang.String sSmtpAddress)

  Initializes from a name and address.

  Parameters:
    `sSmtpAddress` - the sender's SMTP address (not `null`)

### getName

    public java.lang.String getName()

  Gets the sender's name.

  Returns:
    the sender's full name (may be `null`)

### getAddress

    public java.lang.String getAddress()

  Gets the sender's address.

  Returns:
    the sender's address (may be `null`)

### getDisplayAddress

    public java.lang.String getDisplayAddress()

  Gets the sender's display address.

  Returns:
    the sender's display address (may be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.